@import "../base/mixins";

#footer {
  background: var(--gray-4);
  color: var(--white);
  padding: 4rem 0;
  display: flex;
  flex-direction: column;
  gap: 2rem;

  @include media("sm") { gap: 4rem }
}

// Topo
#footer .content-top {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  gap: 4rem;

  @include media("md") { flex-direction: row }

}

#footer .footer-logo-social {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 2rem;
  order: -1;

  @include media("sm") {
    flex-direction: row;
    gap: 4rem;
  }

  @include media("md-lg") { order: unset }

  > .logo {
    width: 100%;
    min-width: 20rem;
    max-width: 20rem;
    margin: auto;

    @include media("sm") {
      min-width: 18rem;
      max-width: 18rem;
    }

    @include media("md-lg") {
      min-width: 20rem;
      margin: 0
    }

    .image::after { padding-bottom: 16% }

    img { object-fit: contain }
  }

  > .social .social-icons {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1rem;

    @include media("xs") { order: -1 }

    a { display: flex }

    .icon {
      color: var(--secondary-color);
      transition: var(--transition);
      width: 2.2rem;
      height: 2.2rem;

      &:hover { opacity: 0.5 }
    }
  }
}


#footer .form-newsletter {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  width: 100%;
  order: -1;
  text-align: center;
  margin: auto;
  
  @include media("sm") {
    max-width: 60%;
  }

  @include media("md-lg") {
    max-width: 60rem;
    order: unset;
    text-align: left;
    margin: 0;
  }

  .newsletter-title {
    font-size: var(--font-size-base);
    font-weight: 600;
  }

  .field {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;

    @include media("sm") {
      flex-direction: row;
    }
  }

    .input-wrapper {
    position: relative;
    width: 100%;

    @include media("sm") {
      width: unset;
      flex: 1;
    }

    &::after {
      content: "";
      display: block;
      position: absolute;
      left: 0.8rem;
      top: 50%;
      transform: translateY(-50%);
      height: 2rem;
      width: 2rem;
      background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='22' height='18' viewBox='0 0 22 18' fill='none'><path d='M21 3.84375L12.03 9.54375C11.7213 9.73718 11.3643 9.83976 11 9.83976C10.6357 9.83976 10.2787 9.73718 9.97 9.54375L1 3.84375M3 0.84375H19C20.1046 0.84375 21 1.73918 21 2.84375V14.8438C21 15.9483 20.1046 16.8438 19 16.8438H3C1.89543 16.8438 1 15.9483 1 14.8438V2.84375C1 1.73918 1.89543 0.84375 3 0.84375Z' stroke='gray' stroke-linecap='round' stroke-linejoin='round'/></svg>");
      background-repeat: no-repeat;
      background-size: contain;
      background-position: 0% 50%;
    }
  }

  .input {
    background-color: var(--white);
    border-radius: .8rem;
    padding-left: 4rem;
    color: var(--gray-3);
    height: 4.2rem;
    width: 100%;
    border: 0;
   
    &::placeholder { color: var(--gray-3) }
    &:focus { outline: none }
  }

  .button-default {
    width: 100%;
    margin-left: 0;
    margin-top: 1rem;
    height: 4.2rem;

    @include media("sm") {
      margin-top: 0;
      margin-left: 1rem;
      width: auto;
    }
  }

  .msg-received {
    color: var(--white);
    &:not(.-visible) { display: none }
  }

  .newsletter-description {
    font-size: var(--font-size-small);
    font-weight: 400;
  }
  
}

// Meio
#footer .content-center {
  display: grid;
  gap: 2rem;
  
  @include media("md") {
    grid-template-columns: 30% 70%;
    gap: unset;
  }

  @include media("md-lg") {
    grid-template-columns: 35% 65%;
  }
}

#footer .menu.-contact {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  width: 100%;
  margin: auto;
  padding-bottom: 4rem;
  border-right: 0;
  border-bottom: solid 1px var(--gray-3);

  @include media("md") {
    border-right: solid 1px var(--gray-3);
    border-bottom: none;
    margin-right: 2rem;
    padding-right: 2rem;
    max-width: 24rem;
    margin: 0;
    padding-bottom: 0;
  }

  @include media("md-lg") {
    padding-right: 4rem;
    max-width: 100%;
  }

  .text {
    font-size: var(--font-size-small);
    margin-bottom: 2rem;
    max-width: 40rem;

    p + p {
      margin-top: 1rem;
    }
  }

  .contact-item {
    display: flex;
    align-items: center;
    gap: 0.8rem;
  }

  .image {
    min-width: 1.8rem;
    min-height: 1.8rem;
  }

  .contact-title {
    font-size: var(--font-size-small);
    font-weight: 400;
    transition: var(--transition);

    &:hover { opacity: 0.5 }
  }
}

#footer .footer-menu {
  width: 100%;

  @include media("md") {
    padding-top: 0;
    width: 100%;
    display: flex;
    justify-content: space-between;
    gap: 2rem;
  }

  @include media("md-lg") { padding-left: 2rem }
  @include media("lg") { gap: 4rem }

  > .menu {
    width: 100%;
    padding-bottom: 2rem;
    border-bottom: solid 1px var(--gray-3);
    & + .menu { margin-top: 2rem }

    @include media("md") {
      padding: 0;
      border: none;
      & + .menu { margin-top: 0 }
    }
  }

  // Abertura dos submenus
  > .menu .menu-item.-open + .submenu { display: flex }

  > .menu .menu-item {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 0.4rem;
    list-style: none;
  }
  
  > .menu .menu-title {
    font-size: var(--font-size-base);
    font-weight: 600;
    transition: var(--transition);

    &:not([href="#"]):hover { opacity: 0.5 }
  }

  // Setas
  > .menu .arrow {
    cursor: pointer;
    @include media("md") { display: none }
  }

  > .menu .arrow::after {
    content: "";
    border: solid currentColor;
    border-width: 0 1px 1px 0;
    color: currentColor;
    display: inline-block;
    margin-left: 3px;
    margin-bottom: 3px;
    padding: 3px;
    transform: rotate(45deg) scale(0.9);
    transition: var(--transition);
    order: 1;
  }

  > .menu .menu-item.-open .arrow::after {
    transform: rotate(45deg) scale(-1);
    margin-bottom: 0;
  }

  // Abertura dos submenus
  > .menu .menu-item.-open + .submenu { display: flex }

  > .menu .submenu {
    display: none;
    flex-direction: column;
    gap: 1rem;
    margin-top: 1rem;

    @include media("md") { display: flex }
  }

  > .menu .submenu-item {
    display: flex;
    align-items: center;
    gap: 0.8rem;
  }

  > .menu .submenu-title {
    font-size: var(--font-size-small);
    font-weight: 400;
    transition: var(--transition);

    &:hover { opacity: 0.5 }
  }

  > .menu .submenu .icon {
    min-width: 1.8rem;
    height: 1.8rem;
    color: var(--secondary-color);
  }

}

// Base
#footer .content-bottom {
  display: flex;
  flex-direction: column;
  gap: 2rem;
}

#footer .stamps-payment {
  display: flex;
  flex-direction: column-reverse;
  justify-content: space-between;
  align-items: center;
  gap: 2rem;
  margin-top: 2rem;

  @include media("sm") {
    flex-direction: row;
    gap: 4rem;
    margin-top: 0;
  }
}

#footer .stamps {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 2rem;

  @include media('xs') {
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 1rem;
  }

  .image { width: 12rem }

  img { object-fit: contain }
  
}

#footer .payment {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1rem;
  flex-wrap: wrap;
  width: fit-content;
  margin-right: auto;
  margin-left: auto;

  @include media ("sm") {
    margin-right: 0;
    margin-top: 0;
  }

  img {
    height: 2.5rem;
    width: 3.5rem;
    object-fit: contain;
  }
}

#footer .footer-copyright {
  width: 100%;
  
  @include media("sm") {
    padding-top: 2rem;
    border-top: 1px solid var(--gray-3);
  }

  @include media("md") {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  > .copyright {
    width: 100%;
    color: var(--gray-1);
    font-size: var(--font-size-small);
    text-align: center;
    margin-bottom: 1rem;

    @include media("md") {
      width: fit-content;
      margin-bottom: 0;
      margin-top: 2rem;
    }
  }

  > .olist-link {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0.8rem;
    width: 100%;
    color: var(--gray-1);
    font-size: var(--font-size-small);
    font-weight: 500;
    text-align: center;
    transition: var(--transition);

    @include media("md") { width: max-content; }
    &:hover { opacity: 0.5; }

    .olist-icon {
      height: 1.8rem;
      width: 3.2rem;
      margin-bottom: 0.3rem;
    }
  }
}
